using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class CameraManager : MonoBehaviour
{
    [SerializeField] Transform target;
    public float delayTime;
    public float camMinX;
    public float camMaxX;
    public float camMinY;
    public float camMaxY;
    private Vector3 velocity = Vector3.zero;

    private void LateUpdate()
    {
        Vector3 targetPosition = target.TransformPoint(new Vector3(0, 0, -10));
        Vector3 desiredPosition = Vector3.SmoothDamp(transform.position, targetPosition, ref velocity, delayTime);
        transform.position = new Vector3(Mathf.Clamp(desiredPosition.x, camMinX, camMaxX), Mathf.Clamp(desiredPosition.y, camMinY, camMaxY), desiredPosition.z);
    }
}
