using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Pathfinding;

public class EnemyAnimation : MonoBehaviour
{
    [SerializeField] AIPath aiPath;
    [SerializeField] Animator anim;
    Quaternion rotation;
    // Start is called before the first frame update
    void Start()
    {
        anim = GetComponent<Animator>();
    }
    private void Awake()
    {
        rotation = transform.rotation;
    }

    // Update is called once per frame
    void Update()
    {
        if (aiPath.desiredVelocity.x >= 0)
        {
            anim.SetBool("Right", true);
            anim.SetBool("Left", false);
        }
        else if (aiPath.desiredVelocity.x <= 0)
        {
            anim.SetBool("Left", true);
            anim.SetBool("Right", false);
        }
    }
    private void LateUpdate()
    {
        transform.rotation = rotation;
    }
}
