using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.UI;

public class PlayerMovement : MonoBehaviour
{
    public float speed;
    [SerializeField] Rigidbody2D playerRb;
    [SerializeField] KeyCode moveLeftButton;
    [SerializeField] KeyCode moveRightButton;
    [SerializeField] KeyCode moveUpButton;
    [SerializeField] KeyCode moveDownButton;
    [SerializeField] GameObject keyGameObject;
    public bool right;
    public bool left;
    public bool movingRight;
    public bool movingLeft;
    public bool dumbPlayer;
    private float horizontal;
    private float vertical;
    public float moveLimiter = 0.7f;
    private bool keyRetrieved;
    private bool death;
    int sceneNumber;

    private void Awake()
    {
        sceneNumber = SceneManager.GetActiveScene().buildIndex;
        if (sceneNumber == 2)
        {
            FindObjectOfType<AudioManager2>().Play("KuumotusMaksimus");
        }
    }
    // Start is called before the first frame update
    private void Start()
    {
        playerRb = GetComponent<Rigidbody2D>();
        keyRetrieved = false;
        right = true;
        death = false;
    }

    // Update is called once per frame
    private void Update()
    {
        Direction();
        DestroyGameObjects();
        if (death)
        {
            Death(3);
        }
    }
    private void FixedUpdate()
    {
        move();
    }
    private void move()
    {
        if (horizontal != 0 && vertical != 0)
        {
            //Diagonal speed made x ammount % of normal speed slower
            horizontal *= moveLimiter;
            vertical *= moveLimiter;
            dumbPlayer = true;
            if (dumbPlayer)
            {
                playerRb.velocity = new Vector2(horizontal * speed, vertical * speed);
            }
            else playerRb.velocity = Vector2.zero;
        }
        else dumbPlayer = false;
    }
    private void Direction()
    {
        bool xPos = Input.GetKey(moveRightButton) || Input.GetKey(KeyCode.D);
        bool xNeg = Input.GetKey(moveLeftButton) || Input.GetKey(KeyCode.A);
        bool yPos = Input.GetKey(moveUpButton) || Input.GetKey(KeyCode.W);
        bool yNeg = Input.GetKey(moveDownButton) || Input.GetKey(KeyCode.S);

        if (xPos || xNeg)
        {
            horizontal = Input.GetAxisRaw("Horizontal");
        }
        if (yPos || yNeg)
        {
            vertical = Input.GetAxisRaw("Vertical");
        }
    }
    private void OnTriggerEnter2D(Collider2D collision)
    {
        if (collision.gameObject.tag == "Key")
        {
            keyRetrieved = true;
            Debug.Log("Key");
            FindObjectOfType<AudioManager2>().Play("KeySound");
        }
        if (collision.gameObject.tag == "Enemy")
        {
            death = true;
            Debug.Log("Enemy");
        }
        if (collision.gameObject.tag == "Door")
        {
            if(keyRetrieved)
            {

            }
        }
    }
    private void DestroyGameObjects()
    {
        if(keyRetrieved)
        {
            Destroy(keyGameObject);
            if(sceneNumber == 1)
            {
                SceneManager.LoadScene(sceneNumber + 1);
            }
            if(sceneNumber == 2)
            {
                SceneManager.LoadScene(sceneNumber - 1);
            }
        }
    }
    public void Death(int sceneID)
    {
        SceneManager.LoadScene(sceneID);
    }
}
